%_kf5_version       @KF5_VERSION@
%_kf5_majver        %(v=%_kf5_version; echo ${v%.*})

%_kde5_prefix             %_prefix
%_kde5_sysconfdir         %_sysconfdir

%_kde5_autostartdir       %_kde5_prefix/autostart
%_kde5_bindir             %_kde5_prefix/bin
%_kde5_configdir          %_sysconfdir/xdg
%_kde5_datadir            %_kde5_prefix/share
%_kde5_dbusinterfacesdir  %_datadir/dbus-1/interfaces
%_kde5_dbusservicesdir    %_datadir/dbus-1/services
%_kde5_dbussystemservicesdir %_datadir/dbus-1/system-services
%_kde5_htmldir            %_kde5_prefix/share/doc/HTML
%_kde5_icondir            %_kde5_prefix/share/icons
%_kde5_kcfgdir            %_kde5_prefix/share/config.kcfg
%_kde5_kconfupdatedir     %_kde5_prefix/share/kconf_update
%_kde5_kxmlguidir         %_kde5_prefix/share/kxmlgui5
%_kde5_includedir         %_includedir/KF5
%_kde5_libdir             %_kde5_prefix/%_lib
%_kde5_libexecdir         %_libexecdir/kf5
%_kde5_localedir          %_kde5_prefix/share/locale
%_kde5_mandir             %_kde5_datadir/man
%_kde5_mimedir            %_kde5_prefix/share/mime
%_kde5_mkspecsdir         %_qt5_prefix/mkspecs/modules
%_kde5_pluginsdir         %_qt5_plugindir/kf5
%_kde5_qmldir             %_qt5_prefix/qml
%_kde5_qtplugindir        %_qt5_plugindir
%_kde5_sbindir            %_kde5_prefix/sbin
%_kde5_servicesdir        %_kde5_prefix/share/kservices5
%_kde5_servicetypesdir    %_kde5_prefix/share/kservicetypes5
%_kde5_sharedir           %_kde5_prefix/share
%_kde5_soundsdir          %_kde5_prefix/share/sounds
%_kde5_templatesdir       %_kde5_prefix/share/templates
%_kde5_xdgappsdir         %_kde5_prefix/share/applications
%_kde5_xdgdirectorydir    %_kde5_prefix/share/desktop-directories
%_kde5_xdgmimedir         %_kde5_prefix/share/mime/packages
%_kde5_wallpaperdir       %_kde5_prefix/share/wallpapers

%_kde5_debug RelWithDebInfo

%cmake_kde5(d:) \
  QTDIR="%{_qt5_prefix}" ; export QTDIR ; \
  PATH="%{_qt5_bindir}:$PATH" ; export PATH ; \
  CFLAGS="${CFLAGS:-%optflags}" ; export CFLAGS ; \
  CXXFLAGS="${CXXFLAGS:-%optflags}" ; export CXXFLAGS ; \
  FFLAGS="${FFLAGS:-%optflags}" ; export FFLAGS ; \
  bdir=. \
  %{-d:dir=%{-d*} ; mkdir -p $dir ; cd $dir ; bdir=.. } \
  %{__cmake} $bdir \\\
  -DCMAKE_BUILD_TYPE=%{_kde5_debug} \\\
  -DBUILD_SHARED_LIBS:BOOL=ON \\\
  -DBUILD_TESTING:BOOL=FALSE \\\
  -DCMAKE_INSTALL_PREFIX:PATH=%{_kde5_prefix} \\\
  -DKDE_INSTALL_USE_QT_SYS_PATHS:BOOL=ON \\\
  -DLIB_INSTALL_DIR:PATH=%{_lib} \\\
  -DLIBEXEC_INSTALL_DIR:PATH=%{_libexecdir} \\\
  -DECM_MKSPECS_INSTALL_DIR:PATH=%{_kde5_mkspecsdir} \\\
  -DKF5_LIBEXEC_INSTALL_DIR=%{_kde5_libexecdir} \\\
  -DQML_INSTALL_DIR:PATH=%{_kde5_qmldir}

#  -DDBUS_INTERFACES_INSTALL_DIR:PATH=%{_kde5_dbusinterfacesdir} \\\
#  -DDBUS_SERVICES_INSTALL_DIR:PATH=%{_kde5_dbusservicesdir} \\\
#  -DDBUS_SYSTEM_SERVICES_INSTALL_DIR:PATH=%{_kde5_dbussystemservicesdir} \\\
#  -DSYSCONF_INSTALL_DIR:PATH=%{_kde5_sysconfdir} \\\
#  -DXDG_APPS_INSTALL_DIR:PATH=%{_kde5_xdgappsdir} \\\
#  -DXDG_MIME_INSTALL_DIR:PATH=%{_kde5_xdgmimedir} \\\
#  -DKDE_INSTALL_LIBEXECDIR:PATH=%{_kde5_libexecdir} \\\
#  -DKDE_INSTALL_USE_QT_SYS_PATHS=ON \\\
#  -DECM_MKSPECS_INSTALL_DIR=%{_kde5_mkspecsdir} \\\
